t.rast.import(1)

NAME
t.rast.import.py - Imports space time raster dataset.

KEYWORDS
temporal, import, raster

SYNOPSIS
t.rast.import.py
t.rast.import.py --help
t.rast.import.py [-rleoc] input=name output=name [basename=string] directory=name [title=string] [description=string] [location=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Set the current region from the last map that was imported

-l
    Link the raster files using r.external

-e
    Extend location extents based on new dataset

-o
    Override projection (use location’s projection)

-c
    Create the location specified by the "location" parameter and exit. Do not import the space time raster datasets.

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input file

output=name [required]
    Name of the output space time raster dataset

basename=string
    Basename of the new generated output maps
    A numerical suffix separated by an underscore will be attached to create a unique identifier

directory=name [required]
    Path to the extraction directory

title=string
    Title of the new space time dataset

description=string
    Description of the new space time dataset

location=string
    Create a new location and import the data into it. Do not run this module in parallel or interrupt it when a new location should be created

DESCRIPTION
t.rast.import imports a space time raster dataset archive that was exported with t.rast.export.

NOTE
Optionally a base map name can be provided to avoid that existing raster maps are overwritten by the map names that are used in the STRDS archive.

EXAMPLE
Inside the North Carolina space time dataset it is possible to find a package called lst_daily.tar.bzip2 with daily data from MODIS LST. Try to import it running:

t.rast.import input=lst_daily.tar.bzip2 output=lst_daily \
              base=lst directory=/tmp

SEE ALSO
t.rast.export, t.create, t.info

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

Last changed: $Date: 2014-12-27 00:50:11 +0100 (so, 27 XII 2014) $

Main index | Temporal index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual